http://lists.gnu.org/archive/html/bug-gnulib/2017-07/txtmumXtpD69v.txt

extract of only the relevant hunk to avoid irrelevant conflicts

From c41f233c4c38e84023a16339782ee306f03e7f59 Mon Sep 17 00:00:00 2001
From: Paul Eggert <address@hidden>
Date: Fri, 7 Jul 2017 14:10:20 -0700
Subject: [PATCH] vasnprintf: port to macOS 10.13

Problem reported by comex in:
http://lists.gnu.org/archive/html/bug-gnulib/2017-07/msg00056.html
* lib/vasnprintf.c (VASNPRINTF): Donât use %n on macOS.

diff --git a/lib/vasnprintf.c b/lib/vasnprintf.c
index 9c2af0e..fecaf27 100644
--- a/lib/vasnprintf.c
+++ b/lib/vasnprintf.c
@@ -4869,7 +4869,11 @@ VASNPRINTF (DCHAR_T *resultbuf, size_t *lengthp,
 #endif
                   *fbp = dp->conversion;
 #if USE_SNPRINTF
-# if !(((__GLIBC__ > 2 || (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 3)) && !defined __UCLIBC__) || ((defined _WIN32 || defined __WIN32__) && ! defined __CYGWIN__))
+# if ! (((__GLIBC__ > 2                                                 \
+          || (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 3))                  \
+         && !defined __UCLIBC__)                                        \
+        || (defined __APPLE__ && defined __MACH__)                      \
+        || ((defined _WIN32 || defined __WIN32__) && ! defined __CYGWIN__))
                 fbp[1] = '%';
                 fbp[2] = 'n';
                 fbp[3] = '\0';
